org.eclipse.wst.jsdt.chromium

## Class UnsupportedVersionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.wst.jsdt.chromium.UnsupportedVersionException

All Implemented Interfaces:
  java.io.Serializable

    public class UnsupportedVersionException
    extends java.lang.Exception

This exception is thrown if the SDK protocol version is not compatible with that supported by the browser.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnsupportedVersionException(Version localVersion, Version remoteVersion)`
`UnsupportedVersionException(Version localVersion, Version remoteVersion, java.lang.String message)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Version` `getLocalVersion()`
`Version` `getRemoteVersion()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnsupportedVersionException

    public UnsupportedVersionException(Version localVersion,
                                       Version remoteVersion)

#### UnsupportedVersionException

    public UnsupportedVersionException(Version localVersion,
                                       Version remoteVersion,
                                       java.lang.String message)

### Method Detail

#### getLocalVersion

    public Version getLocalVersion()

Returns:
  the protocol version supported by the SDK

#### getRemoteVersion

    public Version getRemoteVersion()

Returns:
  the incompatible protocol version supported by the browser